# Uses of Class
com.google.testing.compile.CompilationSubject

## Uses of CompilationSubject in com.google.testing.compile

Subclasses with type arguments of type CompilationSubject in com.google.testing.compile
Modifier and Type
Class
Description
`final class`
`CompilationSubject`
A `Truth` subject for a `Compilation`.
Methods in com.google.testing.compile that return CompilationSubject
Modifier and Type
Method
Description
`static CompilationSubject`
CompilationSubject.`assertThat(Compilation actual)`
Starts making assertions about a `Compilation`.
Methods in com.google.testing.compile that return types with arguments of type CompilationSubject
Modifier and Type
Method
Description
`static com.google.common.truth.Subject.Factory<CompilationSubject, Compilation>`
CompilationSubject.`compilations()`
Returns a `Subject.Factory` for a `Compilation`.